/*
 * Class READABLE_INDEXABLE [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1936 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1936 [] = {0xFF01,1551,1935,878,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1936 [] = {0xFF01,1935,878,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1936 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1936 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1936 [] = {0xFF01,1935,878,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1936 [] = {0xFF01,1935,878,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1936 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1936 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1936 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1936 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1936 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1936 [] = {1935,878,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1936 [] = {0xFF01,1935,878,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1936 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1936 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1936 [] = {0xFF01,1933,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1936 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1936[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1936), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1936), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1936), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1936), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1936), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1936), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1936), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1936), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1936), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1936), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1936), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1936), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1936), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1936), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1936), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1936), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1936), 11019, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1936), -1, 0xFFFFFFFF},
};
void Init1936(void)
{
	IDSC(desc_1936, 0, 1935);
	IDSC(desc_1936 + 1, 1, 1935);
	IDSC(desc_1936 + 32, 1570, 1935);
	IDSC(desc_1936 + 35, 1088, 1935);
}


#ifdef __cplusplus
}
#endif
